## pskracker 0.3.1+git20230102

=== Makefile ===
PREFIX ?= $(DESTDIR)/usr/local
BINDIR = $(PREFIX)/bin

SRCDIR = src
PROG = pskracker
SRCS = $(SRCDIR)/pskracker.c
OBJS = $(SRCS:.c=.o)

CFLAGS += -Wno-unused -Wno-return-type -O3

all: $(PROG)

install:
	install -m 755 $(PROG) $(BINDIR)/$(PROG)

clean:
	$(RM) $(PROG)
	$(RM) $(OBJS)

%.o: %.c
	$(CC) $(CFLAGS) $(PIC) -c -o $@ $<

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

.PHONY: all clean install

=== debian/changelog ===
pskracker (0.3.1+git20230102-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:17:54 +0200

pskracker (0.3.1+git20230102-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info to new format on line 1.

  [ Sophie Brun ]
  * New upstream version 0.3.1+git20230102

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Jan 2023 14:38:43 +0100

pskracker (0.3.1+git20210601-0kali1) kali-dev; urgency=medium

  * New upstream version 0.3.1+git20210601
  * Add a debian/watch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Jun 2021 10:07:41 +0200

pskracker (0.2.1+git20201103-0kali3) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Sophie Brun ]
  * Bump Standards-Version to 4.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Jun 2021 09:46:01 +0200

pskracker (0.2.1+git20201103-0kali2) kali-dev; urgency=medium

  * Add missing -indep in override_dh_fixperms

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Nov 2020 09:45:51 +0100

pskracker (0.2.1+git20201103-0kali1) kali-dev; urgency=medium

  * Initial release (see 4299)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Nov 2020 11:22:14 +0100

=== debian/control ===
Source: pskracker
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://github.com/soxrok2212/PSKracker
Rules-Requires-Root: no

Package: pskracker
Architecture: amd64 arm64
Depends: pskracker-data (=${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: collection of WPA/WPA2/WPS default keys generators/pingens
 This package contains a collection of WPA/WPA2/WPS default algorithms/password
 generators/pingens written in C. This is useful for testing/auditing wireless
 networks and contains bleeding edge algorithms.

Package: pskracker-data
Architecture: all
Depends: ${misc:Depends}
Description: collection of WPA/WPA2/WPS default keys generators/pingens
 This package contains a collection of WPA/WPA2/WPS default algorithms/password
 generators/pingens written in C. This is useful for testing/auditing wireless
 networks and contains bleeding edge algorithms.
 .
 This package contains the dicts directory.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/pskracker/usr

override_dh_fixperms-indep:
	dh_fixperms
	chmod 644 debian/pskracker-data/usr/share/pskracker/dicts/ee-brightbox/*.txt

## pskracker 0.3.1+git20230831

=== debian/changelog ===
pskracker (0.3.1+git20230831-1kali3) kali-dev; urgency=medium

  * Really fix the previous patch

 -- Steev Klimaszewski <steev@kali.org>  Thu, 02 Nov 2023 16:07:30 -0500

pskracker (0.3.1+git20230831-1kali2) kali-dev; urgency=medium

  * Fix the previous patch

 -- Steev Klimaszewski <steev@kali.org>  Thu, 02 Nov 2023 15:07:42 -0500

pskracker (0.3.1+git20230831-1kali1) kali-dev; urgency=medium

  * Add patch to fix install step in Makefile

 -- Steev Klimaszewski <steev@kali.org>  Thu, 02 Nov 2023 13:16:36 -0500

pskracker (0.3.1+git20230831-1) kali-dev; urgency=medium

  * ci: Disable 32bit architecture builds
  * Export prefix instead of overriding dh_auto_install.
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 0.3.1+git20230831

 -- Steev Klimaszewski <steev@kali.org>  Thu, 02 Nov 2023 12:04:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: pskracker
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/soxrok2212/PSKracker
+Vcs-Browser: https://gitlab.com/kalilinux/packages/pskracker
+Vcs-Git: https://gitlab.com/kalilinux/packages/pskracker.git
 Rules-Requires-Root: no
 
 Package: pskracker

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export PREFIX=debian/pskracker/usr

%:
	dh $@

override_dh_fixperms-indep:
	dh_fixperms
	chmod 644 debian/pskracker-data/usr/share/pskracker/dicts/ee-brightbox/*.txt

=== debian/watch ===
version=4
opts="mode=git, pretty=0.3.1+git%cd, pgpmode=none" \
  https://github.com/soxrok2212/PSKracker.git \
  HEAD debian uupdate
